Bug 3234 - add the option for account confirmation email from User Registration page
add the option for account confirmation email from User Registration page
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: User Interface
2.1
PC Linux
: P1 enhancement
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 15:34 PST by James MacGregor
Modified: 2008-02-21 14:25 PST (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OCS2 pre-2.1 CVS (3.93 KB, patch)
2008-01-28 12:30 PST, Alec Smecher
Details | Diff
Patch against OCS 2.0.0.1 (3.10 KB, patch)
2008-02-21 14:25 PST, Tyler Mitchell
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2008-01-22 15:34:09 PST
Users currently have the checkable option of receiving a confirmation email which includes username/password information when they register through the normal account page at /user/account. It would be handy to have the same option when they register through the conference registration page at /schedConf/registration.
Comment 1 Alec Smecher 2008-01-28 12:30:08 PST
Created attachment 479 [details]
Patch against OCS2 pre-2.1 CVS

Adds confirmation email; needs testing.
Comment 2 Alec Smecher 2008-01-28 12:30:33 PST
Fixed. Attached patch may not apply cleanly against 2.0, since it has been written against pre-2.1 CVS.
Comment 3 Tyler Mitchell 2008-02-21 14:25:58 PST
Created attachment 514 [details]
Patch against OCS 2.0.0.1

I tried to backport the patch so it works with 2.0.0.1.  I think it works but am not sure if I understood the other patch perfectly or not.  If anyone has a second to test it, I'd love to know.